<template>
    <el-dialog
        :visible.sync="annualInventoryVisible"
        append-to-body
        :title="title"
        :close-on-click-modal="false"
        width="600px"
    >
        <el-form ref="dataForm" :rules="dataFormRules" :model="dataForm" label-position="right" label-width="140px"  width="600px">
            <el-form-item label="年度:" prop="year" >
                <el-input v-model="dataForm.year" width="150px"/>
            </el-form-item>
            <el-form-item label="类别:" prop="type">
                <el-input v-model="dataForm.type"/>
            </el-form-item>
            <el-form-item label="数量(箱):" prop="amount">
                <el-input
                    onkeyup="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                    onafterpaste="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                    v-model="dataForm.amount"/>
            </el-form-item>
            <el-form-item label="创建时间:" prop="createtime">
                <el-date-picker
                    value-format="yyyy-MM-dd HH:mm:ss"
                    v-model="dataForm.createtime"
                    type="date"
                    placeholder="选择日期时间">
                </el-date-picker>
            </el-form-item>
        </el-form>
        <div  align="right">
            <el-button @click="permitFormVisible = false">取消</el-button>
            <el-button type="primary" @click="submitPermit()">确认</el-button>
        </div>
    </el-dialog>

</template>

<script>
import {  addAnnualInventory , updateAnnualInventory } from '@/api/AnnualInventory'

export default {
    name: "addAnnualInventory",
    data(){
        return{
            title:'',
            annualInventoryVisible:false,
            enterpriseId:'',
            dataForm:{
                type:'',
                enterpriseid:'',
                year:'',
                amount:'',
                createtime:'',
            },
            dataFormRules:{},
            pageSize: 10,
            recordTotal: 0,
            currentPage: 1,
            pageTotal: 0,
            dialogImageUrl: '',
            dialogVisible: false,
            disabled: false,
            fileList:[],
            uploadData:{
                enterprise:1
            },
        }
    },
    methods:{
        showAnnualInventoryForm(title,value,enterpriseId){
            this.enterpriseId = enterpriseId
            this.annualInventoryVisible = true
            this.title = title
            if(this.title === '新增'){
                this.dataForm = {
                    type:'',
                    enterpriseid:'',
                    year:'',
                    amount:'',
                    createtime:''
                }
            }else{
                this.dataForm.id = value.id
                this.dataForm.year = value.year
                this.dataForm.amount = value.amount
                this.dataForm.type = value.type
            }
        },
        async submitPermit(){
            this.dataForm.enterpriseid = this.enterpriseId
            if(this.title === '新增'){
                let res = await addAnnualInventory(this.dataForm)
                if(res.data.code === "200"){
                    this.$emit('getinfo')
                    this.annualInventoryVisible = false
                    this.$notify({
                        type:'success',
                        duration:2000,
                        message:'成功',
                        title:'成功',
                    })
                }else {
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }else{
                let res = await updateAnnualInventory(this.dataForm)
                if(res.data.code === "200") {
                    this.$emit('getinfo')
                    this.annualInventoryVisible = false
                    this.$notify({
                        type: 'success',
                        duration: 2000,
                        message: '成功',
                        title: '成功',
                    })
                }
            }
        },
    }
}
</script>

<style scoped>
/deep/ .el-input__inner {
    width:300px;
}
</style>
